package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.xq.domain.GroupOrder;
import com.ruoyi.xq.dto.app.group.CreateGroupOrderReq;
import com.ruoyi.xq.dto.app.pay.ConsumeResp;
import com.ruoyi.xq.enums.pay.PlatformTypeEnum;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * 入群订单Service接口
 *
 * @author 77
 * @date 2024-05-15
 */
public interface GroupOrderService extends IService<GroupOrder> {
    GroupOrder getSuccessByGroupIdAndUserId(Long groupId, Long userId);

    GroupOrder createOrder(CreateGroupOrderReq req);

    GroupOrder getByOrderNo(String orderNo);

    ConsumeResp doSuccess(String orderNo, Map<String, String> params, String appId, PlatformTypeEnum payTypeEnum);
}
